import { Component } from "react";
import { View, Image, Text } from "@tarojs/components";
import "./index.less";
export default class Index extends Component {
  state = {
  };
  componentDidMount() {
  }
  render() {
    return (
      <View className="index">
        {/* 顶部盒子 */}
        <View className="top-box">
          <Image className="top-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/resultImg.png' />
          {/* <Image className="top-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/failResult.png' /> */}
          {/* 捡漏产品 */}
          <View className="calculator-info">
              <View className="title-box">
                <Text className="title-text-left">您想要的:</Text>
                <Text className="title-text">购买北京到深圳的机票</Text>
              </View>
              <View className="title-box">
                <Text className="title-text-left">期望花费:</Text>
                <Text className="title-text">1000元</Text>
              </View>
          </View>
          {/* 首选推荐产品 */}
          <View className="first-recommend">
            <View className="first-recommend-title">
              <Image className="first-recommend-title-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/recommend.png' />
              <Text className="first-recommend-title-text">首选推荐</Text>
            </View>
            <View className="first-recommend-content">
              <View className="product-info">
                <Image className="product-avatar" src='https://yushi.tos-cn-beijing.volces.com/calculator/default-avatar.png' />
                <View className="product-detail">
                  <Text className="product-title">深圳往返北京机票</Text>
                  <View className="price-box">
                    <Text className="current-price">899</Text>
                    <Text className="original-price">¥1299</Text>
                  </View>
                </View>
              </View>
            </View>
            {/* 再次捡漏 */}
            <View className="first-recommend-button">
              <Image className="first-recommend-button-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/resultButton.png' />
              <Text className="first-recommend-button-text">再次捡漏</Text>
            </View>
          </View>
        </View>
          {/* 精选推荐列表 */}
          <View className="good-recommend-content">
            <View className="good-recommend-list-title">
              <Image className="good-recommend-list-title-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/recommendIcon.png' />
              <Text className="good-recommend-list-title-text">精选推荐</Text>
            </View>
            {/* 精选推荐列表内容 */}
              <View className="good-recommend-list">
                <View className="good-recommend-list-item">
                  <Image className="item-image" src='https://yushi.tos-cn-beijing.volces.com/calculator/default-avatar.png' />
                  <Text className="item-title">深圳往返北京机票</Text>
                  <View className="item-price">
                    <Text className="price-symbol">¥</Text>
                    <Text className="current-price">899</Text>
                    <Text className="original-price">¥1299</Text>
                  </View>
                </View>
              </View>
          </View>
      </View>
    );
  }
}
