import { Component } from "react";
import { View, Image, Text, Input } from "@tarojs/components";
import "./index.less";
import iconOne from "../../../images/calculator/iconOne.png";
import iconTwo from "../../../images/calculator/iconTwo.png";
import iconThree from "../../../images/calculator/iconThree.png";
export default class Index extends Component {
  state = {};
  componentDidMount() {}
  render() {
    return (
      <View className="index">
        <Image className="top-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/wishTopImg.png' />
        {/* 底部 */}
        <View className="bottom-box">
          <Image mode="heightFix" className="bg-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/bottomImg.png' />
          {/* 输入内容区域 */}
          <View className="input-box">
            <View className="input-box-title">
              <Image className="title-icon" src={iconOne} />
              <Text className="title-text">您想要的物品或服务</Text>
            </View>
            <View className="input-box-content">
              <View className="input-box-content-box">
                <Input
                  className="input-box-content-input"
                  placeholder="请输入你的心愿"
                />
              </View>
              <View className="input-box-content-text">
                例: 输入机票不如输入从深圳到北京的机票
              </View>
            </View>
          </View>
          <View className="input-box">
            <View className="input-box-title">
              <Image className="title-icon" src={iconTwo} />
              <Text className="title-text">您预期的价格</Text>
            </View>
            <View className="input-box-content">
            <View className="input-box-content-box">
                <Input
                  className="input-box-content-input"
                  placeholder="请输入你的心愿"
                />
              </View>
              <View className="input-box-content-text">
                注意：我们是认真的！
              </View>
            </View>
          </View>
          <View className="button-box">
            <Image className="button-icon" src='https://yushi.tos-cn-beijing.volces.com/calculator/buttonTwo.png' />
            <View className="button-text-box">
                <Text className="button-text">捡漏计算</Text>
            </View>
          </View>
          {/* 底部捡漏列表 */}
          <View className="bottom-list-box">  
            <View className="bottom-list-box-title">
              <Image className="title-icon" src={iconThree} />
              <Text className="title-text">TA们捡了哪些漏</Text>
            </View>
            <View className="bottom-list-box-content">  
              <View className="bottom-list-box-content-item"> 
              TA想要“从北京到深圳的机票”，捡漏200元
              </View>
              <View className="bottom-list-box-content-item"> 
              TA想要“从北京到深圳的机票”，捡漏200元
              </View>
              <View className="bottom-list-box-content-item"> 
              TA想要“从北京到深圳的机票”，捡漏200元
              </View>
              <View className="bottom-list-box-content-item"> 
              TA想要“从北京到深圳的机票”，捡漏200元
              </View>
              <View className="bottom-list-box-content-item"> 
              TA想要“从北京到深圳的机票”，捡漏200元
              </View>
              <View className="bottom-list-box-content-item"> 
              TA想要“从北京到深圳的机票”，捡漏200元
              </View>
            </View>
          </View>
        </View>
      </View>
    );
  }
}
