import { Component } from "react";
import { View} from "@tarojs/components";
import "./index.less";
export default class Index extends Component {
  state = {
    wishList: [
      {
        title: "iPhone 15 Pro",
        price: "¥8999",
        time: "2024-03-20"
      },
      {
        title: "机械键盘",
        price: "¥599",
        time: "2024-03-21"
      },
      {
        title: "显示器",
        price: "¥2399",
        time: "2024-03-22"
      },
      {
        title: "耳机",
        price: "¥999",
        time: "2024-03-23"
      }
    ]
  };
  componentDidMount() {
  }
  render() {
    return (
      <View className="index">
        {/* 心愿列表 */}
        <View className="wish-list">
          {this.state.wishList.map((item, index) => (
            <View key={index} className="item">
              <View className="left">
                {index+1}
            </View>
            <View className="right">
              <View className="left-text">
                <View className="title">{item.title}</View>
                <View className="price">预算&emsp;{item.price}元</View>
              </View>
              <View className="right-text">
                {item.time}
              </View>
            </View>
            </View>
          ))}
        </View>
      </View>
    );
  }
}
